display.setStatusBar(display.HiddenStatusBar)

require("physics")
physics.start()
physics.setGravity(0, 9.8)

local _w = display.contentWidth/2
local _h = display.contentHeight/2

require "sprite"
local sheetData = require "guy"
local spriteData = sheetData.getSpriteSheetData()
local spriteSheet = sprite.newSpriteSheetFromData( "guy.png", spriteData )
local spriteSet = sprite.newSpriteSet(spriteSheet, 1, 9)
local guySprite = sprite.newSprite(spriteSet)
guySprite.x = _w
guySprite.y = _h
guySprite:play()

local leftWall = display.newRect (0, 0, 1, display.contentHeight);
local rightWall = display.newRect (display.contentWidth, 0, 1, display.contentHeight);
local ceiling = display.newRect (0, 0, display.contentWidth, 1);
local floor = display.newRect (0, 0, display.contentWidth, 1);

physics.addBody (leftWall, "static",  { bounce = 0.1 } );
physics.addBody (rightWall, "static", { bounce = 0.1 } );
physics.addBody (ceiling, "static",   { bounce = 0.1 } );
local floor = display.newImage("floor.png");
floor.y = display.contentHeight - floor.contentHeight/2;
physics.addBody (floor, "static", { bounce = 0.0, friction = 10} );

physics.addBody (guySprite, { bounce = 1.0, radius = 120, friction = 1.0 } );